VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
NoteExpressionTextEvent Struct Reference

Note Expression Text event. More...

`#include <ivstnoteexpression.h>`

## Public Attributes
NoteExpressionTypeID | typeId
| see NoteExpressionTypeID (kTextTypeID or kPhoneticTypeID)
int32 | noteId
| associated note identifier to apply the change
uint32 | textLen
| the number of characters (TChar) between the beginning of text and the terminating null character (without including the terminating null character itself)
const TChar * | text
| UTF-16, null terminated.

## Detailed Description

Note Expression Text event.

Used in Event (union) A Expression event affects one single playing note.

See also
  INoteExpressionController
  NoteExpressionTypeInfo

## Member Data Documentation

## ◆ typeId

NoteExpressionTypeID typeId

see NoteExpressionTypeID (kTextTypeID or kPhoneticTypeID)

## ◆ noteId

int32 noteId

associated note identifier to apply the change

## ◆ textLen

uint32 textLen

the number of characters (TChar) between the beginning of text and the terminating null character (without including the terminating null character itself)

## ◆ text

const TChar* text

UTF-16, null terminated.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.